Bug 121606 - ELF file's phentsize not the expected size
ELF file's phentsize not the expected size
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-23 15:02 EDT by RH
Modified: 2007-04-18 13:06 EDT (History)
0 users

See Also:
Fixed In Version: glibc-2.3.3-24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-12 06:05:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RH 2004-04-23 15:02:04 EDT
Description of problem:
Getting "ELF file's phentsize not the expected size" while trying to 
use a static library.  The library was built in the following matter:
ld -r ccc_lic.o -L my_path my_lib.a -o my_output

ccc_lic.o was compiled like this:
gcc -c ccc_lic.c

$ gcc -v
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/2.96/specs
gcc version 2.96 20000731 (Red Hat Linux 7.3 2.96-110)

$ uname -a
Linux dplinux1 2.4.18-5 #1 Mon Jun 10 15:31:48 EDT 2002 i686 unknown

$ cat /etc/redhat-release
Red Hat Linux release 7.3 (Valhalla)

$ rpm -q glibc
glibc-2.2.5-34


My question is:  What is the meaning of this message, and how do I 
fix it?

Thank you!
Comment 1 Jakub Jelinek 2004-04-30 09:47:28 EDT
First of all, please note that RHL7.3 is no longer supported product,
so please try to reproduce this with one of the currently supported
products (RHEL 2.1, RHEL3, RHL9 (if you manage today), FC1 or FC2 betas).
Second, what exactly are you doing that triggers this message?
It is in the dynamic linker, are you trying to dlopen the relocatable
object my_output or what?
Comment 2 Jakub Jelinek 2004-05-12 06:05:11 EDT
Upstream glibc has been changed so that when dlopening ET_REL
objects it will complain about "only ET_DYN and ET_EXEC can be loaded"
instead of "ELF file's phentsize not the expected size".
Comment 3 Jay Turner 2004-09-02 01:57:34 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-384.html

Note You need to log in before you can comment on or make changes to this bug.